<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:40 CET 2016 -->
<title>DefinedSelectorFieldData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DefinedSelectorFieldData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorTranslationData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" target="_top">Frames</a></li>
<li><a href="DefinedSelectorFieldData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.applicationdictionary.reference</div>
<h2 title="Class DefinedSelectorFieldData.Builder" class="title">Class DefinedSelectorFieldData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.applicationdictionary.reference.DefinedSelectorFieldData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">DefinedSelectorFieldData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#active-java.lang.Boolean-">active</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#centralMaintenance-java.lang.Boolean-">centralMaintenance</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the centralMaintenance value
 
 Description: A flag indicating that this label is managed in a central repository.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#client-java.lang.String-">client</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#defaultExpression-java.lang.String-">defaultExpression</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the defaultExpression value
 
 Description: Defines a expression used to filter the property</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#filterable-java.lang.Boolean-">filterable</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the filterable value
 
 Description: Allow filtering on this field.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#helpComment-java.lang.String-">helpComment</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the helpComment value
 
 Description: A comment that adds additional information to help users work with fields.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#isoutfield-java.lang.Boolean-">isoutfield</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the isoutfield value
 
 Description: The value of this field should be returned to the opener window</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#module-java.lang.String-">module</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the module value
 
 Description: Module</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#name-java.lang.String-">name</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#obserdsDatasourceFieldID-java.lang.String-">obserdsDatasourceFieldID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the obserdsDatasourceFieldID value
 
 Description: The datasource field is part of the datasource definition.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#obuiselSelectorID-java.lang.String-">obuiselSelectorID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the obuiselSelectorID value
 
 Description: The unique identifying key for the selector.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#property-java.lang.String-">property</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the property value
 
 Description: Path/name of the property to show in the selector</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#searchinsuggestionbox-java.lang.Boolean-">searchinsuggestionbox</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the searchinsuggestionbox value
 
 Description: Defines if the field is used to search when retrieving values in the suggestion
 box.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#showingrid-java.lang.Boolean-">showingrid</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the showingrid value
 
 Description: Defines if the field is shown in the popup grid.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#sortable-java.lang.Boolean-">sortable</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the sortable value
 
 Description: Allow sorting by this field in the popup grid.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html#sortno-java.lang.String-">sortno</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the sortno value
 
 Description: Defines the sorting of columns in a grid</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="property-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>property</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;property(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the property value
 
 Description: Path/name of the property to show in the selector</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The property value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="sortno-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sortno</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;sortno(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the sortno value
 
 Description: Defines the sorting of columns in a grid</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The sortno value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="obserdsDatasourceFieldID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>obserdsDatasourceFieldID</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;obserdsDatasourceFieldID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the obserdsDatasourceFieldID value
 
 Description: The datasource field is part of the datasource definition.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The obserdsDatasourceFieldID value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="active-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;active(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The active value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="searchinsuggestionbox-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchinsuggestionbox</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;searchinsuggestionbox(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the searchinsuggestionbox value
 
 Description: Defines if the field is used to search when retrieving values in the suggestion
 box.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The searchinsuggestionbox value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="obuiselSelectorID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>obuiselSelectorID</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;obuiselSelectorID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the obuiselSelectorID value
 
 Description: The unique identifying key for the selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The obuiselSelectorID value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="name-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;name(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The name value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="client-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>client</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;client(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="sortable-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sortable</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;sortable(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the sortable value
 
 Description: Allow sorting by this field in the popup grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The sortable value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="filterable-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filterable</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;filterable(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the filterable value
 
 Description: Allow filtering on this field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The filterable value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="module-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>module</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;module(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the module value
 
 Description: Module</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The module value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="showingrid-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showingrid</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;showingrid(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the showingrid value
 
 Description: Defines if the field is shown in the popup grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The showingrid value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="defaultExpression-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;defaultExpression(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the defaultExpression value
 
 Description: Defines a expression used to filter the property</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The defaultExpression value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="isoutfield-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isoutfield</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;isoutfield(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the isoutfield value
 
 Description: The value of this field should be returned to the opener window</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The isoutfield value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="helpComment-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>helpComment</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;helpComment(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the helpComment value
 
 Description: A comment that adds additional information to help users work with fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The helpComment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="centralMaintenance-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>centralMaintenance</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData.Builder</a>&nbsp;centralMaintenance(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the centralMaintenance value
 
 Description: A flag indicating that this label is managed in a central repository.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The centralMaintenance value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference">DefinedSelectorFieldData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorTranslationData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.reference"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/data/applicationdictionary/reference/DefinedSelectorFieldData.Builder.html" target="_top">Frames</a></li>
<li><a href="DefinedSelectorFieldData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
